<?php

namespace IQBall\Api\Controller;

use IQBall\App\Control;
use IQBall\Core\Model\AuthModel;
use IQBall\Core\Data\Account;
use IQBall\Core\Http\HttpCodes;
use IQBall\Core\Http\HttpRequest;
use IQBall\Core\Http\HttpResponse;
use IQBall\Core\Validation\Validators;

class APIUserController {
    private AuthModel $model;

    public function __construct(AuthModel $model) {
        $this->model = $model;
    }

    public function changeUsername(Account $acc) {
        return Control::runChecked([
            "username" => [Validators::name()]
        ], function(HttpRequest $request) use ($acc) {
            $this->model->changeUsername($acc->getUser()->getId(), $request["username"]);

            return HttpResponse::fromCode(HttpCodes::OK);
        });
    }
}

?>